gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Represents a particular node of a . A TreePath can be converted into either an array of unsigned integers or a string. The string form is a list of numbers separated by a colon. Each number refers to the offset at that level. Thus, the path "0" refers to the root node and the path "2:4" refers to the fifth child of the third node.
- Constructor
  2.12.0.0
  Constructor; builds an empty TreePath.
- Constructor
  2.12.0.0
  a
  Creates a path for a set of indices.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  an object of type
  Creates a new object.
  The is expressed in the form "3:2:5". The toplevel or root path would thus be "0".
- Method
  2.12.0.0
  System.Void `` a , the index to append Appends a new index to a path. As a result, the depth of the path is increased.
- Method
  2.12.0.0
  System.Int32 `` an object of type , the path to compare Compares two paths. If this path appears before b in a tree, then -1 is returned. If the parameter path appears before this path, then 1 is returned. If the two nodes are equal, then 0 is returned. an object of type
- Method
  2.12.0.0
  Gtk.TreePath Copies a TreePath into a new TreePath object. an object of type , the new copy
- Property
  2.12.0.0
  System.Int32 Returns the current depth of the TreePath. an object of type
- Method
  2.12.0.0
  System.Void Changes this TreePath object to refer to its own first child. FIXME: make sure this is right.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Gtk.TreePath is now freed automatically")
  System.Void Disposes of the TreePath object and any resources it was using.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Int32[] Returns the current indices of the TreePath. This is an array of integers, each representing a node in a tree. This value should not be freed. a
- Method
  2.12.0.0
  System.Boolean `` an object of type , the potential descendant Tests whether this TreePath is an ancestor of a given TreePath an object of type , returns true if this TreePath is an ancestor of the given TreePath.
- Method
  2.12.0.0
  System.Boolean `` an object of type , the potential ancestor to test Tests whether this TreePath is a descendant of a particular TreePath. an object of type , true if this TreePath is the other TreePath's descendant.
- Method
  2.12.0.0
  Gtk.TreePath Creates a new GtkTreePath. an object of type The string representation of this path is "0".
- Method
  2.12.0.0
  System.Void Moves the TreePath to point to the next node at the current depth.
- Method
  2.12.0.0
  System.Void `` a , the index to prepend Prepends a new index to a path. As a result, the depth of the path is increased.
- Method
  2.12.0.0
  System.Boolean Moves the TreePath to point to the previous node at the current depth, if it exists. an object of type , true if the path has a previous node and the move was made successfully.
- Method
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean Moves the TreePath to point to its parent node, if it has a parent. an object of type , true if the path has a previous node and the move was made successfully.